hifrog - Bug #7271

crash in Idv-challenges as signal 6: what(): map::at
03/05/2018 18:14 - Sepideh Asadi

Status: Feedback Start date: 03/05/2018
Priority: Normal Due date:

Assignee: Sepideh Asadi % Done: 70%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

File:

~/hi-bench/challenge-bench/sv-comp17/c/ldv-challenges/linux-3.14__complex_emg__linux-alloc-spinlock__drivers-net-ethernet-via-vi
a-velocity_true-unreach-call.cil.c

How to run:
/hifrog --sum-theoref --unwind 10 file.c

Error msg:

Use QF_UF logic.

terminate called after throwing an instance of 'std::out_of_range'
what(): map::at

Command terminated by signal 6

initial observation:
the error is caused by hifrog asking for a goto function which is not known. There is a line of code in the program:
asm volatile ("Ifence": : : "memory");

And perhaps it could come from there.

History

#1 - 04/05/2018 16:57 - Karine Even Mendoza
- Status changed from New to Feedback

- Assignee set to Sepideh Asadi

- % Done changed from 0 to 70

| added back the asm__ build-in cprover functions, not sure it is the right thing to do, it can be that we will have performance issues.
Currently it doesn't crash.

#2 - 07/05/2018 11:52 - Karine Even Mendoza

Currently the issue is as bug #7272, shall we unify the reports?
